package org.diagbot.common.push.filter.pretreat;

import org.diagbot.common.push.filter.PreResult;
import org.diagbot.nlp.participle.word.Lexeme;
import org.diagbot.nlp.participle.word.LexemePath;

import java.util.List;

public class PretreatmentSymptom extends Pretreatment {
    public List<PreResult> analyze(String content) throws java.io.IOException{
        return super.analyzeDefault(content);
    }

    public PreResult createPreResult(LexemePath<Lexeme> lexemes, Lexeme lexeme, int index) {
        return super.createDefaultPreResult(lexemes, lexeme, index);
    }
}
